\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-0.5,-0.5) rectangle (3.5,3.5);
\fill[line width=1.5pt,fill=Gris2] (1,3) -- (2,3) -- (2,2) -- (3,2) -- (3,1) -- (2,1) -- (2,0) -- (1,0) -- (1,1) -- (0,1) -- (0,2) -- (1,2) -- cycle;
\draw [line width=1.5pt] (1,3)-- (2,3);
\draw [line width=1.5pt] (2,3)-- (2,2);
\draw [line width=1.5pt] (2,2)-- (3,2);
\draw [line width=1.5pt] (3,2)-- (3,1);
\draw [line width=1.5pt] (3,1)-- (2,1);
\draw [line width=1.5pt] (2,1)-- (2,0);
\draw [line width=1.5pt] (2,0)-- (1,0);
\draw [line width=1.5pt] (1,0)-- (1,1);
\draw [line width=1.5pt] (1,1)-- (0,1);
\draw [line width=1.5pt] (0,1)-- (0,2);
\draw [line width=1.5pt] (0,2)-- (1,2);
\draw [line width=1.5pt] (1,2)-- (1,3);
\draw (0.75,3.25) node {$A$};
\draw (2.25,3.25) node {$B$};
\draw (2.25,2.25) node {$C$};
\draw (3.25,2.25) node {$D$};
\draw (3.25,0.75) node {$E$};
\draw (2.25,0.75) node {$F$};
\draw (2.25,-0.25) node {$G$};
\draw (0.75,-0.25) node {$H$};
\draw (0.75,0.75) node {$I$};
\draw (-0.25,0.75) node {$J$};
\draw (-0.25,2.25) node {$K$};
\draw (0.75,2.25) node {$L$};
\end{tikzpicture}
\end{document}